using EVCB_OCPP.Packet.Messages.SmartCharging;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.Packet.Features.SmartCharging
{
    public class ClearChargingProfileFeature : Feature
    {
        public override string GetAction()
        {
            return Actions.ClearChargingProfile.ToString();
        }

        public override Type GetConfirmationType()
        {
            return typeof(ClearChargingProfileConfirmation);
        }

        public override Type GetRequestType()
        {
            return typeof(ClearChargingProfileRequest);
        }
    }
}
